
Redmine - Defect #14205

undefined method `default_projects_tracker_ids' on new subproject

2013-06-04 14:31 - Cezary Błajszczak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.1

Description

I wanted to create new subproject and I received Internal error 500. I'm using latest svn build (2.3.1.stable.11918) on openSUSE 12.2

with Apache and Passenger. Here's the relevant log:

Started GET "/projects/new?parent_id=main" for my_ip at 2013-06-04 14:19:52 +0200

Processing by ProjectsController#new as HTML

  Parameters: {"parent_id"=>"main"}

  Current user: my_username (id=3)

Completed 500 Internal Server Error in 42ms

NoMethodError (undefined method `default_projects_tracker_ids' for #<Class:0xb2f2168>):

  app/models/project.rb:129:in `initialize'

  app/controllers/projects_controller.rb:73:in `new'

  app/controllers/projects_controller.rb:73:in `new'

 If this helps anyhow, my redmine installation is also affected by #13903 - I did a fresh installation from svn sources and I migrated

database from previuos installation (2.1.2; I upgraded the db without any problems).

Related issues:

Related to Redmine - Defect #13903: undefined method `jsonp_enabled?' for Closed

History

#1 - 2013-06-05 22:15 - Jean-Philippe Lang

Just to make sure, did you properly restart the application after upgrading? Also, could you attach your config/settings.yml and the full output of the

following command (run it from your Redmine directory):

ruby script/rails r -e production 'puts Setting.methods.sort'

 Thanks.

#2 - 2013-06-05 22:15 - Jean-Philippe Lang

- Related to Defect #13903: undefined method `jsonp_enabled?' for added

#3 - 2013-06-10 10:56 - Cezary Błajszczak

- File settings.yml added

- File script.output added

I attach settings.yml - they are different than my actual redmine settings (which are read from the upgraded db). I couldn't change them, because I

encountered #13903.

I also attach script.output - full output of the given command.

I restarted the apache server several times, I also restarted the server itself.

#4 - 2013-06-10 19:01 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid
Your settings.yml is not the one provided with Redmine 2.3.1. Please, replace it with the one provided with Redmine 2.3.1 WIHTOUT MAKING ANY

CHANGES, then restart.

#5 - 2013-06-11 09:31 - Cezary Błajszczak

It worked, thanks! I updated from svn to revision 11954 and switched settings.yml with the one from redmine package downloaded from RubyForge. I

also no longer experience #13903.

Files

settings.yml 4.75 KB 2013-06-10 Cezary Błajszczak

script.output 13.6 KB 2013-06-10 Cezary Błajszczak
